VARKON Version 1.15 1997-12-29

> ## lin_tan2 - Geometric procedure

> Creates a line
> Description
> Creates a line tangent to two arcs. Possible tangency alternatives are enumerated along the first arc and an alt parameter must be supplied to select the right solution.
> Syntax
> lin_tan2(id, ref1, ref2, alt:attributes);

> REF | id;
> REF | ref1;
> REF | ref2;
> INT | alt;

> Principal parameters

> id | - Local identity
> ref1 | - Identity of first arc
> ref2 | - Identity of second arc
> alt | - Requested tangency alternative

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Comments
> In a 3D module the two arcs must be in the XY-plane of the active coordinate system.

VARKON Homepage | Index